%global gem_name sass-twitter-bootstrap

Summary:       Gem of the Twitter Bootstrap
Name:          rubygem-%{gem_name}
Version:       2.0.1
Release:       1%{?dist}
Group:         Development/Languages
License:       ASL 2.0
URL:           http://github.com/wadetandy/sass-twitter-bootstrap
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:       rubygem-sass-twitter-bootstrap-LICENSE.txt
Requires:      ruby(abi)
Requires:      ruby(rubygems) 
Requires:      rubygem(sass) 
Requires:      rubygem(railties) 
BuildRequires: ruby(abi)
BuildRequires: rubygems-devel
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
Create a Rails compatible gem for John Long's Sass conversion 
of the Twitter Bootstrap

%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Install License file
cp %{SOURCE1} %{buildroot}%{gem_instdir}/LICENSE

# Remove build leftovers.
rm -rf %{buildroot}%{gem_instdir}/{.rvmrc,.document,.require_paths,.gitignore,.travis.yml,.rspec,.gemtest,.yard*}

%files
%doc %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Fri Jul 26 2013 Troy Dawson <tdawson@redhat.com> - 2.0.1-1
- Initial package
